VDASH(1)

NAME
vdash - CLI tool to monitor nodes on the Safe Network

DESCRIPTION
vdash 0.20.0 Monitor Autonomi Network nodes in the terminal. Navigate using tab and arrow keys.

  USAGE:

    safe-vdash [FLAGS] [OPTIONS] [--] [LOGFILE]...

  FLAGS:

-d, --debug-window

    Parses first logfile *only* and adds a debug output window (accessed with l/r arrow) Also shows smaller debug output window to the right of the node view for the logfile

-h, --help

    Prints help information

-i, --ignore-existing

    Ignore any existing logfile content

-V, --version

    Prints version information

  OPTIONS:

--checkpoint-interval <checkpoint-interval>

    Set checkpoint interval in seconds (0 will disable checkpoints). vdash saves node statistics every few seconds so that it doesn't lose data when restarted [default: 300]

--coingecko-interval <coingecko-interval>

    Coingecko.com API polling interval (minutes) [default: 30]

--coingecko-key <coingecko-key>

    Coingecko.com API key

--coinmarketcap-interval <coinmarketcap-interval>

    Coinmarketcap.com API polling interval (minutes) [default: 30]

--coinmarketcap-key <coinmarketcap-key>

    Coinmarketcap.com API key

--currency-apiname <currency-apiname>

    Fiat currency name for API [default: USD]

--currency-symbol <currency-symbol>

    Single character symbol for currency (e.g. "??" or "???") [default: $]

--currency-token-rate <currency-token-rate>

    Token conversion rate as a positive floating point number (e.g. 3.345) This will be used if the price APIs are not used or failing [default: -1]

-g, --glob-path <glob-path>...

    A *nix 'glob' path to match multiple files. Can be provided multiple times as here:

    vdash -g "$HOME/.local/share/autonomi/node/**/antnode.log" -g "./remote-node-logs/*/logs/antnode.log"

--glob-scan <glob-scan>

    Enable periodic scan of any glob paths every so many seconds. 0 to disable [default: 0]

-l, --lines-max <lines-max>

    Maximum number of lines to display for each logfile [default: 100]

--tick-rate <tick-rate>

    Event update tick in milliseconds (controls screen refresh rate) [default: 200]

-t, --timeline-steps <timeline-steps>

    Steps in each timeline for timeline graphs the Node Status display. Timeline 'width' = (steps * time units) [default: 210]

  ARGS:

    <LOGFILE>...

    One or more logfiles to monitor